karaf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré ...@nanthrax.net>
Subject Re: XSD bumping versioning
Date Tue, 25 Oct 2011 11:35:45 GMT
Hi Ioannis,

To be honest, I think it's a forgot. Especially on Karaf trunk, we 
change the features XSD (especially adding the install="auto" attribute 
for the new karaf Maven plugin).
It provides an issue with Pax Exam (which still use features from 
version 2.2.x).
It think that we have to increase the feature XSD version, and be able 
to use it in Pax Exam/Pax Scanner.

Regards
JB

On 10/25/2011 01:03 PM, Ioannis Canellos wrote:
> Hi all,
>
> I remember Guillaume mentioning that whenever we change an xsd we need to
> bump the version. We did so on the jaas xsd, but we never do so in features
> xsd.
> I am sure that there is a good reason for that, but I don't know why. So if
> anyone could help me on that I would really appreciate it.
>

-- 
Jean-Baptiste Onofré
jbonofre@apache.org
http://blog.nanthrax.net
Talend - http://www.talend.com

Mime
View raw message